Subject: Re: CCL:Universal Force Field (UFF)

From: "Jim Kress" <[email-masked]>
Date: Thu, 18 Oct 2001 23:02:54 -0400

Would you please post the replies you get on the CCL list?  The UFF papers
and documentation are very vague and ill suited to people replicating the
implementation of the UFF.  Many people in the field would like to get
clear, concise, useable answers to the questions you have posted.

Thanks.

Jim

----- Original Message -----
From: "derosa" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, October 16, 2001 9:42 PM
Subject: CCL:Universal Force Field (UFF)

> Dear all:
>
>         I am trying to figure out how the Universal Force Field is
> parameterized in Cerius2, particularly the torsion and the inversion
> interactions.  My source is the Paper of Rappe et al J. Am. Chem. Soc.
1992
> 114, 10024 and the set of parameter shown in the force field UFF 1.02.
>
>         According to what I understood from that paper, the torsional
energy
> is given by
>
> E=1/2 V[1-cos(n*phi0)*cos(n*phi)]
>
> It is a little obscure for me how this parameters are defined
> For sp2 centers connected to another sp2 center n=2 and phi0 is 180, which
> is my case.  so
>
> E=1/2 V [1-cos(2*phi)]
>
> My first question is how V is defined.  In the mentioned paper there are
two
> different sum rules depending on whether the center is sp2 or sp3 however
> only for sp3 centers V is defined as a function of a "torsional barrier
> factor" of each atoms which is the only parameter (I could find) in the
> force field.  SO how is V defined (in cerius2) for sp2 centers, which is
the
> sum rule I should use?.
>
> With respect to the inversion, Rappe et al indicates that the inversion
> energy is given by
>
> E=Kijkl( Co + C1 sin(Gamma)+ C2 cos(2Gamma))
>
> However UFF, as implemented in cerius2 only offers two parameters, the
> inversion barrier and the equilibrium inversion angle for each atoms.  How
> the other parameters are obtained?, is the previous formula the one that
is
> used in cerius2?.
>
> Any clarifying comment will be much appreciated.  You can send the answers
> directly to me at [email-masked] I will summarize if there is any
> interest.
>
> Thank you very much for your help,
>
> Pedro
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To
Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
[email-masked]

---

From: "derosa" <[email-masked]>
Date: Thu, 18 Oct 2001 19:49:55 -0400

I got one request to summarize the answers to my request.  I only received
one answer but indeed was what I needed.  Thank you so much Dr Senn for you
prompt answer.

Please see below the answer and well at the bottom the original question for
your reference

Thanks

Pedro

----- Original Message -----
From: "Hans Martin Senn" <[email-masked]>
To: "derosa" <[email-masked]>
Sent: Wednesday, October 17, 2001 1:34 PM
Subject: Re: CCL:Universal Force Field (UFF)

Hi Pedro,

I went through this a while ago when I was implementing the UFF into
the ab initio MD code PAW. The Rappé paper is indeed not a prime
example of clarity and conciseness; also there are errors in some of
the formulas. I also referred to the implementation of UFF in Cerius2
to get some of the parameters.

The "distillate" of my struggle with UFF is in my thesis (full text
at http://e-collection.ethbib.ethz.ch/show?type=diss&nr=13972), Sect.
2.7.3.

energy
two
the
>sum rule I should use?.

A general remark about paper vs. Cerius2: As far as I remember, not
all parameters are acessible via the FF file in Cerius2; some (e.g.,
certain rules) must be hard-wired. Also, certain cases for which the
paper gives a general rule are treated as "special cases" in Cerius2.
This means, they are listed individually, rather than dealt with via
the generator.

For the torsions: See the corresponding table in my thesis. In the
paper, your case (sp2-sp2 central bond) is covered by eq. 17.

>the other parameters are obtained?, is the previous formula the one that is
>used in cerius2?.

The inversions are quite a mess, indeed...
Cerius2: The exception list for the inversions tabulates K_ijkl and
omega0_ijkl (with omega0_ijkl = 90° - gamma0_ijkl). It basically
covers the cases of C_R or C_2 as central atoms bonded to O_2.
In the generator, however, 2*K_ijkl is listed (note that E_barrier =
2*K_ijkl), together with omega0_ijkl.

Paper (eq. 19): I assumed that the coefficients (if not given
explicitly) are derived from the conditions mentioned. You can get
expressions for C0, C1, C2 that depend only on gamma0_ijkl (or
omega0_ijkl), considering that there is a minimum for E(omega0) = 0
and a maximum for E(omega=0) = E_barrier. See again my thesis.

A final note: You might contact Rappé directly. I heard, he has
actually a programme that implements the UFF (in an improved
versions, UFF2). Maybe it's possible to obtain the code, which would
make things quite a bit easier.

Hope this helps...

Cheers,

Hans

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ORIGINAL QUESTION

Dear all:

        I am trying to figure out how the Universal Force Field is
parameterized in Cerius2, particularly the torsion and the inversion
interactions.  My source is the Paper of Rappe et al J. Am. Chem. Soc. 1992
114, 10024 and the set of parameter shown in the force field UFF 1.02.

        According to what I understood from that paper, the torsional energy
is given by

E=1/2 V [1-cos(2*phi)]

My first question is how V is defined.  In the mentioned paper there are two
different sum rules depending on whether the center is sp2 or sp3 however
only for sp3 centers V is defined as a function of a "torsional barrier
factor" of each atoms which is the only parameter (I could find) in the
force field.  SO how is V defined (in cerius2) for sp2 centers, which is the
sum rule I should use?.

However UFF, as implemented in cerius2 only offers two parameters, the
inversion barrier and the equilibrium inversion angle for each atoms.  How
the other parameters are obtained?, is the previous formula the one that is
used in cerius2?.

Pedro